﻿// Name: LotteryNumbers
// Author: P Hutchison
// Date: 07/07/19

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Lottery_Numbers_2019
{
    public partial class Form1 : Form
    {
        

        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Int32 repeat, N, Valid, MyNextNum, chk;
            Int32[] Lotto;
            Random rand;
            DialogResult Reply;

            Lotto = new Int32[7];
            rand = new Random() ;
            repeat = 1;
            while (repeat == 1)
            {
                listBox1.Items.Clear();
                for (N=1; N<=6; N++)
                {
                    Valid = 0; // Find next number until a valid one is found
                    MyNextNum = 1 + rand.Next(1, 49);
                    Valid = 1;
                    Lotto[N] = MyNextNum;
                    for (chk = 1; chk <= 6; chk++)
                    {
                        if (chk != N)
                        {
                            if (Lotto[N] == Lotto[chk])
                                Valid = 0; // Numbers are the same, so reject it
                        }
                    }
                    // Display next valid number 
                    PrintText(Lotto[N].ToString());
                }
                Reply = MessageBox.Show(this, "Do you want to another set of numbers? ", "Another Game?", MessageBoxButtons.YesNo);
                if (Reply == DialogResult.Yes)
                    repeat = 1;
                else
                    repeat = 0;
            }

        }

        void PrintText(string UserText)
        {
            listBox1.Items.Add(UserText);
        }
    }
}
